```
MARKDOWN, STYLE
```

# Task List — Easy Way to Record Todos

August 23, 2017 by typora.io

## Basic Usage

Type following markdown, they will be rendered as **Task List**.

```gfm
- [ ] This task is incomplete.
- [x] This task is completed.
```

## Quick Way to Change Task Status

Simple click on the checkbox of current task list, or —

Select menu items under `Paragraph` → `Task Status`, please follow [Custom Key Binding](http://support.typora.io/Custom-Key-Binding/) to assign shortcut keys if needed.

## “Erase” Completed Tasks

You may want to add strikethrough on completed tasks automatically like this

![Snip20170824_1](http://support.typora.io/media/task-list/Snip20170824_1.png)

This is possible by add following Custom CSS:

```
.task-list-done {
    /* styles for completed tasks */
    text-decoration: line-through;
}
.task-list-not-done {
    /* styles for incomplete tasks */
}
```

You could also add CSS to make completed task list less contrast, so you could add something like `color: #777` to change the text color for selector `.task-list-done`.

About where to put those CSS, please follow [Add Custom CSS](http://support.typora.io/Add-Custom-CSS/).